.panel{
  margin: 5px 5px 5px 5px;
}
.marginbtm20{
  margin-bottom:20px;
}
.alert{
  border-radius:0 !important;
}
.heading{
  margin:0;
  padding:0 0 10px 0;
  border-bottom:1px solid #ddd;
  color: #2b957a !important;
}
.table_header{
  background: #eeeeee
}
.create_button{
  margin-right:1.5%;
}
.btn_style{
  margin-right: 16px;
}
.panel-padding{
  padding:2px 15px;
}
.topnavbar .navbar-header .brand-logo{
    padding: 6px 15px;
    background: #ffffff;
    border-radius: 0 5px 0 5px;
    border-bottom: 1px solid #ccc;
}
.topnavbar .navbar-header .brand-logo-collapsed{
  padding: 0 15px;
  background: #ffffff;
    border-bottom: 1px solid #ccc;
}
.brand-logo-collapsed img{
  width: 40px;
  background: #ffffff;
}
.panel-info > .panel-heading{
  opacity: 0.9;
  padding-top: 1px;
        padding-bottom: 3px;
}
.sidebar-subnav:before{
  border-color: #23b7e5;
  border-style: dotted;
  border-width: 0 0 0 1px;
  bottom: 0px;
  content: "";
  display: block;
  left: 8px;
  position: absolute;
  top: 0;
  z-index: 1;
}
.sub_menu1{
  padding-bottom: 4px!important;
  padding-top: 4px!important;
  border-bottom: 1px solid rgba(238, 238, 238, 0.42);
}
.sub_menu1:hover{
  background-color: #f5f5f5!important;
}
.sub_menu1:before{
  border-style: dotted;
  border-width: 1px 0 0;
  content: "";
  display: block;
  left: 8px;
  position: absolute;
  top: 14px;
  width: 7px;
  z-index: 1;
  border-color: #438eb9;
}
.sub_menu1:-webkit-scrollbar-thumb {
  background-color: red;
  outline: 1px solid red;
}
.color_red{
  color: red
}

.color_yellow{
  color: rgb(255, 216, 0);
}

.color_green{
  color: green
}

.color_gray{
  color: gray
}

.background_color_red{
  background-color: rgba(255, 0, 0, 0.88);
}

.background_color_yellow{
  background-color: yellow
}
.background_color_green{
  background-color: rgba(0, 128, 0, 0.82)
}
.background_color_gray{
  background-color: gray
}
.panel-view{
  border-bottom:1px solid #ddd !important;
  padding-bottom:50px;
  margin:0 10px;
}
.panel-view-border{
  border-bottom:1px solid #ddd !important;
  padding-bottom:20px;
  margin:0 10px;
}


/*dashboard start*/
  .box_background div{
    border: 1px solid #00ffdc;
    width: 110px;
    height: 95px;
    line-height: 75px;
    text-align: center;
    padding: 5px;
    display: grid;
  }
  .box_background{
    margin-right: .5em;
    background-color: rgba(0, 255, 255, 0.34);
    border-radius: 0;
    display: inline-block;
  }
  .box_background1 div{
    border: 1px solid #00ffdc;
    width: 21.3rem;
    height: 95px;
    line-height: 75px;
    text-align: center;
    padding: 5px;
    display: grid;
  }
  .box_background1{
    margin-right: .5em;
    background-color: rgba(0, 255, 255, 0.34);
    border-radius: 0;
    display: inline-block;
  }
  div.tab {
    overflow: hidden;
    border: 1px solid #ddd;
    background-color: #fbfbfb;
}

/* Style the buttons inside the tab */
div.tab button {
    background-color: inherit;
    float: left;
    border: none;
    outline: none;
    cursor: pointer;
    padding: 14px 16px;
    transition: 0.3s;
    font-size: 17px;
    position: relative;
}

/* Change background color of buttons on hover */
div.tab button:hover {
    background-color: #ddd;
}

/* Create an active/current tablink class */
div.tab button.active {
    background-color: #525252;
    color: #fff;
    position: relative;
}
.btn-glyphicon { padding:8px; background:#ffffff; margin-right:4px; }
.icon-btn { color:#fff;}
/*div.tab button.active:before {
    content: "\f0d7";
    position: absolute;
    bottom: 0;
    left:0;
    right:0;
    color:#525252;
    font-size:32px;
    font-family: fontAwesome;
}*/

/* Style the tab content */
.tabcontent {
    /*display: block;*/
    padding: 16px 12px;
    border: 1px solid #ccc;
    border-top: none;
    overflow: hidden;
    background-color: #fff;
}

.chart_value{
  width: 100%;
  margin-top: 20px;
}
.chart_val_div{
   border: 1px
   solid gray;
   border-radius: 5px;
}

/*.flexcroll{ width:400px;
            height:200px;
            overflow:auto;
           }
.flexcroll{
    scrollbar-face-color: #367CD2;
    scrollbar-shadow-color: #FFFFFF;
    scrollbar-highlight-color: #FFFFFF;
    scrollbar-3dlight-color: #FFFFFF;
    scrollbar-darkshadow-color: #FFFFFF;
    scrollbar-track-color: #FFFFFF;
    scrollbar-arrow-color: #FFFFFF;
}*/

/* Let's get this party started */
.flexcroll::-webkit-scrollbar {
    width: 4px;
}
 
/* Track */
.flexcroll::-webkit-scrollbar-track {
    -webkit-box-shadow: inset 0 0 6px rgba(128, 128, 128, 0.41); 
    -webkit-border-radius: 10px;
    border-radius: 10px;
}
/* Handle */
.flexcroll::-webkit-scrollbar-thumb {
    -webkit-border-radius: 10px;
    border-radius: 10px;
    background: rgba(35, 183, 229, 0.7); 
    /*-webkit-box-shadow: inset 0 0 6px #71A6D2;*/

/*dasboard start */
 }
.status_box{
  list-style: none;
  margin:10px 0;
  padding:0;
  }
.live_updates{
  color:#333333;
  font-size:18px;
  text-decoration:underline;
  fill:#333333;
}
.live_updates_li {
    border: 1px solid rgba(128, 128, 128, 0.55);
    margin-bottom: 10px;
    border-radius: 3px;
    padding: 8px;
}
.live_updates_div{
  border:1px solid #ddd;
  height: 252px;
  text-align: center;
  padding-left: 2px;
  padding-right: 16px;
}
.donutchart{
  width: 900px;
  height: 250px;
}
.donutchart_div{
  border:1px solid #ddd;
}

/*dasboard end */
/*edit by asit 17/07/2017  to still*/
.breadcrumb{
  margin-bottom:0px !important;
}
.trigger_icon{
  float: left;
  padding: 10px;
}
.main_date body .select2-container{
  width:100% !important;
}
.main_date .select2-container--default .select2-selection--single {
    border: 1px solid #dde6e9 !important;
}
.main_date .select2-container--default .select2-selection--single .select2-selection__rendered {
    color: #444;
    line-height: 31px !important;
}
.main_date .select2-container .select2-selection--single{
  height:35px !important;
}
.main_date .select2-container--default .select2-selection--single .select2-selection__arrow b{
  top:60% !important;
}
.operator_signs{
  padding: 10px 0;
}

.Track_Record{
  border: 1px solid #ddd;
  margin: 0 0 6 !important;
  padding: 0 0 3px;
  display: flex;
}
.Track_Record .popover {
  box-shadow: 0 0 0 #000;
  border-radius: 3px;
  background-color:#525252 !important;
  color: #fff !important;
  opacity: 0.9; 
}
.Track_Record .popover.left > .arrow:after {
    border-left-color: #525252;
}

.mCSB_scrollTools .mCSB_dragger .mCSB_dragger_bar {
    background-color: #2ab9e6 !important;
    filter: "alpha(opacity=75)";
    -ms-filter: "alpha(opacity=75)";
}
.content{
  overflow: auto;
    position: relative;
    padding: 20px;
    margin: 10px;
    max-width: 100%;
    min-height: 140px;
    -webkit-box-sizing: border-box;
    -moz-box-sizing: border-box;
    box-sizing: border-box;
}

#demo.showcase{ min-width: 740px; }

.showcase .content{
  float: left;
  width: 340px;
  height: 300px;
}
.modal-backdrop{
  display:none;
}
.font20{
  font-size: 20px;
}
.font40{
  font-size: 40px;
}

.showcase .horizontal-images.content{
  height: 140px;
  width: 700px;
  max-width: 97%;
  padding: 5px 5px 0 5px;
}

/*.blink-logo-collapsed{
  width: 28px;
  margin-top: -54px;
  float: right;
  animation: blinker 3s linear infinite;
}
.blink-logo-collapsed img{
  cursor: pointer;
  width: 40px;
  background: #ffffff;
}*/
@keyframes blinker {  
  50% { opacity: 0; }
}
.hide{
  display: none;
}
/*New Dashboard css*/
.eta h3{
    color: #fff;
}
h3, h4{
  margin:0;
  padding:10px 0;
}

.arrow_NP{
  position:relative;
  margin-top:10px;
}
.arrow_NP a:first-of-type{
    float: left;
    width: 20px;
    position: relative;
    height: 55px;
}
.arrow_NP a:last-of-type{
    float: right;
    width: 20px;
    position: relative;
    height: 55px;
    top:-40px;
}
ul.data_in{
  list-style: none;
  margin: 0;
  padding: 0;
}
ul.data_in li{
  display: inline-block;
}
.bg-primary-warn {
    background-color: #d27725;
    color: #fff;
}
.bg-primary-info {
    background-color: #1c9fc7;
    color: #fff;
}
.bg-darkblue{
  background-color:#546e7a;
  color: #fff;
}
.bg-blue-dark{
  background-color:#303e45;
  color: #fff;
}
.bg-darkorange{
  background-color: #3643d2 ;
  color: #fff;
}
.bg-dark-orange{
  background-color:#2732af;
   color: #fff;
}
.default_bx{
   text-align: center;
   padding:10px 0;
}
.default_bx h3{
  font-size:35px;
}
.default_bx h3, h5{
  color:#fff;
  margin:0 0 10px;
  padding: 0;
}
.ontime{
  background-color: #79b963;
}
.delay{
  background-color: #d15454;
}
.speed{
  background-color: #f00;
}
.Cdelay{
  background-color: #eb5402;
}
.traveler{
  background-color: #56bfbf;
}/*show bus icon start*/

div.tip {
    position: relative;
}

.bus_icon_eta .tip div{
  position: absolute;
  width: 125px;
  z-index: 100;
  color: white;
  -moz-border-radius: 5px;
  -webkit-border-radius: 5px;
  background: black;
}

.bus_icon_eta .tip div:before{
  content: '';
  display: block;
  width: 0;
  height: 0;
  position: absolute;
  border-right: 5px solid transparent;
  border-left: 5px solid transparent;
  border-top: 5px solid black;
  left: 5px;
  top: 23px;
}

.bus_icon_eta {
  content: "\f207";
  font-family: "FontAwesome";
}
.bus_icon_eta div {
    width: 20px!important;
    height: 23px;
    line-height: 22px;
    border-radius:3px !important; 
    vertical-align: middle;
    float: left;
}
.new_eta{
    background-color: #525252;
    width: 26px;
    height: 25px;
    text-align: center;
    line-height: 10px;
    padding: 5px;
    position: relative;
}
.new_eta:before{
    content: '';
    position: absolute;
    border-right: 5px solid transparent;
    border-left: 5px solid transparent;
    border-top: 5px solid #525252;
    left: 8px;
    top: 28px;
}
/*show bus icon end*/
.shorted_text{
  text-overflow: ellipsis;
  overflow: hidden;
  white-space: nowrap;
  width: 74px;
  display: inline-block;
  vertical-align: middle;

}
.line-bold hr{
  margin-top:0;
  margin-bottom: 0px;
}
footer{
  padding:10px 0;
  border-top:1px solid #ddd;
}
.form_label .form-group{
  margin-right: 10px;
}